Lumaktaw sa nilalaman

Ovi

I-integrate

ID ng modelo ovi/image-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ovi/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Kahilingang ito: $0.20 200 kredito ng API · ≈ ₽21.52 Patakbuhin ito sa page na ito

Kumuha ng API key
Character.AI Larawan patungong Video #image-to-audio-video#image-to-video

Ina-animate ang isang still na larawan bilang video na may audio, gamit ang teksto prompt bilang gabay

Character.AI · video

Dito mapupunta ang iyong unang resulta

Bumuo ng kahilingan sa ibaba at patakbuhin ito gamit ang iyong API key. Kinokopya ang mga output sa aming storage, na pinananatili nang walang hanggan o 7 araw nang libre.

Bumuo ng kahilingan

Ang mga control ay binubuo mula sa schema ng modelo. Nagbabago ang code at presyo habang ina-adjust mo ang mga ito.

•kinakailangan

Mga text instruction na gumagabay sa pagbuo ng video.

•kinakailangan image_url
Mag-drop ng file, o

URL ng larawang ginagamit upang gabayan ang pagbuo ng video.

advanced negative_prompt · audio_negative_prompt · num_inference_steps · seed · enable_safety_checker
default na jitter, bad hands, bl...

Negative prompt na inilalapat sa pagbuo ng video.

default na robotic, muffled, ech...

Negative prompt na tumutukoy sa dapat iwasan sa nabuong audio.

default na 30

Bilang ng step na ginagamit para sa inference.

Seed na ginagawang reproducible ang pagbuo. Ang pagtatakda nito sa None ay random na pumipili ng seed.

POST /run/ovi/image-to-video?wait=20 presyo → $0.20
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/ovi/image-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Patakbuhin ang kahilingang ito

Nananatili ang iyong key sa browser na ito: ipinapadala lamang ito sa Doitong API at sine-save (localStorage) lamang kung pipiliin mo ang Tandaan. Kumuha ng API key

Tungkol sa Ovi

Nagsisimula sa kinakailangang `image_url` at `prompt` at gumagawa ng video clip na may audio track. May sariling negative prompt ang video at audio, at maaaring itakda ang `num_inference_steps` mula 1 hanggang 50 (default 30). Ginagawang nauulit ng `seed` ang output. Hindi tulad ng text-to-video version, walang inilalantad na opsyon sa resolution.

Mga parameter

Ipadala ang canonical na pangalan o ang native na pangalan, hindi pareho. Mga canonical na pangalan

PangalanUri defaultPinapayagan Paglalarawan
promptkinakailangan
Uristring
Mga text instruction na gumagabay sa pagbuo ng video.
negative_promptopsyonal
Uristring
defaultjitter, bad hands, blur, distortion
Negative prompt na inilalapat sa pagbuo ng video.
num_inference_stepsopsyonal
Uriinteger
default30
1 – 50
Bilang ng step na ginagamit para sa inference.
audio_negative_promptopsyonal
Uristring
defaultrobotic, muffled, echo, distorted
Negative prompt na tumutukoy sa dapat iwasan sa nabuong audio.
seedopsyonal
Uriinteger | null
Seed na ginagawang reproducible ang pagbuo. Ang pagtatakda nito sa None ay random na pumipili ng seed.
enable_safety_checkeropsyonal
Uriboolean
defaulttrue
Maaaring luwagan ang screening sa pamamagitan ng pagtatakda ng false, kung awtorisado ang tumatawag.
image_urlkinakailangan image
Uriurl · image
URL ng larawang ginagamit upang gabayan ang pagbuo ng video.
kinakailangan Canonical na pangalan, tinatanggap din

Tumatanggap ang mga parameter ng file ng pampublikong https:// URL, data: URI na hanggang 10 MB, o file_url ng isang upload. Mga file

Output

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ovi/image-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 200,
    "usd": "0.20",
    "charged": 200,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Ikaw ang pumipili para sa iyong mga fileAng bawat outputs[].url ay kopya sa aming storage: pinananatili nang walang hanggan (sinisingil bawat GB-month) o 7 araw nang libre, ayon sa setting ng iyong account o ?storage=.
Parehong shape sa bawat modelotype, url, content_type, width, height at duration, para sa mga larawan, video at audio. Ang output ay sariling result object ng modelo.
Mga field ng output
video
object {url, content_type, file_name, file_size} | nullVideo file na ginawa sa pagbuo.
seed
integerSeed value na inilapat sa pagbuo.

Higit pang modelo: Larawan patungong Video

Para sa mga AI agent: nasa Markdown ang pahinang ito sa https://doitong.com/fil/developers/models/ovi/image-to-video.md. Lahat ng modelo at gabay: https://doitong.com/developers/llms.txt